Skip to main content
POST
Start account linking

Integration guide

Authorizations

x-app-id
string
header
required

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Authorization
string
header
required

JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.

Body

application/json
provider
enum<string>
required
Available options:
google,
twitter,
apple,
email,
siwe,
siws
redirectUrl
string<uri>
email
string<email>
Maximum string length: 254
address
string
Required string length: 1 - 64

Response

200

type
enum<string>
required
Available options:
redirect,
magic_link,
wallet_challenge
url
string
success
enum<boolean>
Available options:
true
message
string